## org.ascape.view.vis
Class GraphView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView
              org.ascape.view.vis.GraphView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.eclipse.core.runtime.IAdaptable

    public class GraphView

extends ModelScapeView

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`GraphView()`
`GraphView(java.lang.String name)`

Method Summary

Methods inherited from class org.eclipse.amp.escape.ascape.view.ModelScapeView
`createInput, getAdapter, getModel, getName, scapeAdded, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphView

    public GraphView()

### GraphView

    public GraphView(java.lang.String name)